uk.gov.hmrc.payeestimator.services

# PAYETaxCalculatorService

###
Related Doc: package services

#### trait PAYETaxCalculatorService extends TaxCalculatorHelper

Linear Supertypes
TaxCalculatorHelper, AnyRef, Any
Known Subclasses
LivePAYETaxCalculatorService
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PAYETaxCalculatorService
2. TaxCalculatorHelper
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculatePAYETax(taxCode: String, grossPay: Money, taxCalcResource: TaxCalcResource): PAYETaxResult

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

13. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

14. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

17. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

18. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

19. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

25. #### def removeScottishElement(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

26. #### def splitTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TaxCalculatorHelper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped